Packages - Bug #2849

[kodi] error while loading shared libraries: libcec.s0.4
2020-07-26 12:31 PM - baptiste

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

kodi segfaults - see the attached file

History

#1 - 2020-08-29 06:51 AM - baptiste

Hello, | have been able to compile kodi with the current PKGBUILD from arch (modified to add the libre.patch from parabola) and it seems to run from
my test machine. It wasn't working one month ago, so | suppose somes updates from arch were not merge to parabola at the time. | have not find any
documentation on how to compile it in order to be fully libre, is the libre.patch is sufficient or there is something else to check?

Regards,
baptiste

#2 - 2020-09-22 07:10 AM - bill-auger
- Status changed from unconfirmed to confirmed

- Subject changed from [kodi] kodi segfaults to [kodi] error while loading shared libraries: libcec.so.4

i dont get a segfault, but a library conflict - maybe this is new though

$ kodi
/usr/lib/kodi/kodi-x11: error while loading shared libraries: libcec.so.4: cannot open shared object file: No
such file or directory

the standard way to re-build packages is to get the PKGBUILD from abslibre, and whatever other sources beside it (libre.patch in this csae), merge
any changes from arch (often only bumping the pkgver), then build it with makepkg - if the libre.patch does not apply, it will need to be re-worked

$ makepkg -sri
#3 - 2021-01-18 07:40 AM - bill-auger

- Assignee set to bill-auger

- Status changed from confirmed to in progress

#4 - 2021-01-18 07:42 AM - bill-auger
v18.9 fixes this

#5 - 2021-01-18 07:42 AM - bill-auger

- Status changed from in progress to fixed

Files
kodi_crashlog-20200725_101458.log 22 KB 2020-07-26 baptiste
message 1 KB 2020-07-26 baptiste
